/* Colors */
/* Always use dark variants of colors for text to get an accessible level of color contrast */
/* Weird colors to investigate -Dan */
/* Fonts */
/* Breakpoints */
/* @group Eric Meyer Reset */
/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  cursor: default;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* @end */
/* @group Custom Resets */
* {
  box-sizing: border-box;
  user-select: none;
}
*:focus {
  outline: none;
}

a {
  cursor: pointer;
}
a * {
  cursor: pointer;
}

input, button, select {
  border: none;
  outline: none;
  background-color: transparent;
  padding: 0;
  margin: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
input:focus, button:focus, select:focus {
  border: 0;
  outline: 0;
}
input::-moz-focus-inner, button::-moz-focus-inner, select::-moz-focus-inner {
  border: 0;
  outline: 0;
}
input::-moz-focus-outer, button::-moz-focus-outer, select::-moz-focus-outer {
  border: 0;
  outline: 0;
}

strong {
  font-weight: bold;
}

/* @end */
/*
Font:       Proxima Nova, Proxima Nova Semibold
Style:      Regular
URL:        https://www.youworkforthem.com/font/T0467/proxima-nova
Foundry:    Mark Simonson
Foundry:    https://www.youworkforthem.com/designer/73/mark-simonson
Copyright:  Copyright (c) Mark Simonson, 2005. All rights reserved.
Version:    17
Created:    April 10, 2016
License:    https://www.youworkforthem.com/font-license 
License:    The WebFont(s) listed in this document must follow the 
            YouWorkForThem WebFont license rules. All other parties are 
            strictly restricted from using the WebFonts(s) listed without 
            a purchased license. All details above must always remain 
            unaltered and visible in your CSS.
*/
@font-face {
  font-family: "Proxima Nova";
  src: url("../fonts/proxima-nova-regular.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "Proxima Nova";
  src: url("../fonts/proxima-nova-semibold.woff2") format("woff2");
  font-weight: bold;
  font-style: normal;
}
/*
Font:       Courier Prime
URL:        https://quoteunquoteapps.com/courierprime
Foundry:    Quote-Unquote Apps
Copyright:  Copyright (c) 2013, Quote-Unquote Apps 
            with Reserved Font Name Courier Prime.
License:    This Font Software is licensed under the SIL Open Font 
            License, Version 1.1. http://scripts.sil.org/OFL
*/
@font-face {
  font-family: "Courier Prime Bits Mono";
  src: url("../fonts/courier_prime_bits-mono.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
/* @group Text Styles */
html,
body,
input,
button,
select {
  font: 15px "Proxima Nova", "Helvetica Neue", Helvetica, Arial, Roboto, sans-serif;
  line-height: 1.2em;
  color: #333333;
}

h1 {
  font-size: 22px;
  font-weight: 600;
  line-height: 1.2em;
}

h2 {
  font-size: 18px;
  font-weight: 600;
  line-height: 1.2em;
}

h3 {
  font-size: 15px;
  font-weight: 600;
  line-height: 1.2em;
}

h4 {
  font-size: 13px;
  font-weight: 600;
  line-height: 1.2em;
}

.secondary {
  font-size: 13px;
  color: rgba(0, 0, 0, 0.6);
  line-height: 1.2em;
}

a, a:visited {
  color: #1173d4;
}
a:focus, a:visited:focus {
  border-radius: 3px;
  box-shadow: 0px 0px 0px 3px rgba(0, 102, 204, 0.3), 0px 0px 0px 1px rgba(255, 255, 255, 0.5);
  background-color: rgba(0, 102, 204, 0.3);
  color: #333333;
  padding: 2px 6px;
  margin: -2px -6px;
}

.password {
  font-family: "Courier Prime Bits Mono", "Courier New", Courier, mono;
}
.password .digits {
  color: #2380d1;
}
.password .symbols {
  color: #e6735c;
}

/* Sometimes screen readers need additional text elements. For instance they don't always pause between block elements (like when inside a listbox) so you want an invisible period. Or you need an alert element that should be read to them but doesn't need to be visible because it's shown in another way to sighted people. */
.screenReaderOnly {
  position: absolute;
  top: -1000px;
  left: -1000px;
  opacity: 0;
  width: 0;
  height: 0;
}

/* @end */
.itemIcon-medium {
  position: relative;
  width: 32px;
  height: 32px;
}
.itemIcon-medium img {
  width: 100%;
  height: 100%;
}
.itemIcon-medium.masked {
  width: 30px;
  height: 30px;
  border-radius: 6px;
  position: relative;
}
.itemIcon-medium.masked::after {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  border-radius: 6px;
  box-sizing: border-box;
  position: absolute;
  border: solid 1px rgba(0, 0, 0, 0.25);
  pointer-events: none;
}
.itemIcon-medium.masked img {
  position: absolute;
  border-radius: 6px;
  background-color: white;
}
.itemIcon-medium.monogram {
  width: 30px;
  height: 30px;
  background-image: url(../images/login_overlay-medium.svg);
  border-radius: 6px;
  text-align: center;
  line-height: 30px;
  font-size: 12px;
  font-weight: bold;
  color: rgba(0, 0, 0, 0.4);
}
.itemIcon-medium.placeholder {
  width: 30px;
  height: 30px;
  background-color: rgba(0, 0, 0, 0.15);
  border-radius: 6px;
}

.lockScreen {
  width: 100%;
  height: 115px;
  background-color: #ededed;
}
.lockScreen img {
  margin: 14px 0 4px 0;
}
.lockScreen p {
  margin: 0 20px;
  text-align: center;
  color: rgba(0, 0, 0, 0.6);
}

.skeletonItemList {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 175px;
  overflow: hidden;
}
.skeletonItemList .spinner {
  animation: spin 0.8s infinite steps(8);
}
.skeletonItemList .spinner circle {
  fill: rgba(0, 0, 0, 0.6);
}
@keyframes spin {
  to {
    transform: rotate(1turn);
  }
}

.emptyItemList {
  display: flex;
  align-items: center;
  height: 52px;
  padding: 0 13px;
}
.emptyItemList p {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 16px;
  line-height: 20px;
}

.itemList {
  max-height: 175px;
  overflow-y: auto;
}
.itemList li {
  display: grid;
  grid-template-columns: 30px auto;
  grid-template-rows: 52px;
  grid-column-gap: 13px;
  align-items: center;
  padding: 0 13px;
  margin-bottom: 1px;
  box-shadow: 0 1px rgba(0, 0, 0, 0.07);
  cursor: default;
}
.itemList li:last-child {
  margin-bottom: 0;
  box-shadow: none;
}
.itemList li.button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: calc(100% - 26px);
  height: 32px;
  margin: 11px 0 10px 13px;
  line-height: 1rem;
  background-color: white;
  color: rgba(0, 0, 0, 0.6);
  border-radius: 8px;
  padding: 0 10px 1px;
  position: relative;
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.15);
}
.itemList li.button:only-child {
  margin-top: 10px;
}
.itemList li[aria-current=true] {
  background-color: #2380d1;
}
.itemList li[aria-current=true].button {
  color: white;
  box-shadow: 0 0 0 3px rgba(0, 102, 204, 0.3), inset 0 0 0 1px rgba(0, 102, 204, 0.3), inset 0 0 0 1px rgba(0, 0, 0, 0.15);
}
.itemList li[aria-current=true] .details h3, .itemList li[aria-current=true] .details p {
  color: white;
}
.itemList li div[class*=itemIcon-].favorite::before {
  content: "";
  display: block;
  width: 12px;
  height: 12px;
  position: absolute;
  right: -4px;
  bottom: 0;
  background: url(../images/favorites-mini.svg) no-repeat;
  background-size: 100%;
  z-index: 1;
}
.itemList li .details {
  display: grid;
  grid-row-gap: 2px;
}
.itemList li .details h3 {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 15px;
  font-weight: 600;
}
.itemList li .details p {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 12px;
  line-height: 1.2em;
  color: rgba(0, 0, 0, 0.6);
}

.listSelector {
  position: relative;
  z-index: 2;
  height: 35px;
  background-color: #f7f7f7;
  overflow: hidden;
}
.listSelector::before {
  content: "";
  position: absolute;
  z-index: 1;
  height: 1px;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.15);
}
.listSelector.focus-visible:focus-within {
  box-shadow: inset 0 0 0 3px rgba(0, 102, 204, 0.3);
  border-radius: 0 0 6px 6px;
}
.listSelector.focus-visible:focus-within::after {
  content: "";
  position: absolute;
  top: 3px;
  left: 3px;
  z-index: 1;
  height: 1px;
  width: calc(100% - 6px);
  background-color: rgba(0, 102, 204, 0.3);
}
.listSelector ul {
  padding: 10px 0;
  transform: translateY(-10px);
}
.listSelector ul:active li[aria-current=true] {
  background-color: #2380d1;
}
.listSelector ul:active li[aria-current=true] p {
  color: white;
}
.listSelector ul:active::after {
  background-position: 0 -16px;
}
.listSelector ul[data-offsetmultiplier="1"] {
  transform: translateY(-46px);
}
.listSelector ul[data-offsetmultiplier="1"]::after {
  top: 56px;
}
.listSelector ul[data-offsetmultiplier="2"] {
  transform: translateY(-82px);
}
.listSelector ul[data-offsetmultiplier="2"]::after {
  top: 92px;
}
.listSelector ul[data-offsetmultiplier="3"] {
  transform: translateY(-118px);
}
.listSelector ul[data-offsetmultiplier="3"]::after {
  top: 128px;
}
.listSelector ul[data-offsetmultiplier="4"] {
  transform: translateY(-154px);
}
.listSelector ul[data-offsetmultiplier="4"]::after {
  top: 164px;
}
.listSelector ul::after {
  content: "";
  background-image: url(../images/select-indicator.svg);
  width: 10px;
  height: 16px;
  position: absolute;
  top: 20px;
  right: 13px;
  pointer-events: none;
}
.listSelector ul li {
  display: grid;
  grid-template-columns: 16px auto;
  grid-template-rows: 36px;
  grid-column-gap: 12px;
  align-items: center;
  padding: 0 13px;
}
.listSelector ul li.button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: calc(100% - 26px);
  height: 32px;
  margin: 10px 0 0 13px;
  line-height: 1rem;
  background-color: white;
  color: rgba(0, 0, 0, 0.6);
  border-radius: 8px;
  padding: 0 10px;
  position: relative;
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.15);
}
.listSelector ul li img {
  grid-area: 1/1/1/2;
  width: 16px;
  height: 16px;
}
.listSelector ul li p {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  grid-area: 1/2/1/2;
  font-size: 15px;
  line-height: 36px;
  cursor: default;
}
.listSelector.expanded {
  height: 243px;
  transform: translateY(-176px);
}
.listSelector.expanded.focus-visible:focus-within {
  box-shadow: none;
}
.listSelector.expanded.focus-visible:focus-within::after {
  opacity: 0;
}
.listSelector.expanded[data-offsetmultiplier="1"] {
  transform: translateY(-53px);
}
.listSelector.expanded[data-offsetmultiplier="2"] {
  transform: translateY(-106px);
}
.listSelector.expanded[data-offsetmultiplier="3"] {
  transform: translateY(-159px);
}
.listSelector.expanded ul {
  padding: 11px 0 10px;
  transform: translateY(0);
}
.listSelector.expanded ul:focus li[aria-current=true] {
  background-color: #2380d1;
}
.listSelector.expanded ul:focus li[aria-current=true] p, .listSelector.expanded ul:focus li[aria-current=true].button {
  color: white;
}
.listSelector.expanded ul::after {
  opacity: 0;
}

#authorizationPrompt {
  position: absolute;
  z-index: 3;
  display: grid;
  grid-template-rows: 36px 178px;
  bottom: 0;
  height: 214px;
  width: 100%;
}
#authorizationPrompt header {
  width: 100%;
  height: 36px;
  background-color: #f7f7f7;
  box-shadow: inset 0 -1px 0 0 rgba(0, 0, 0, 0.15);
}
#authorizationPrompt header h3 {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 15px;
  line-height: 36px;
  text-align: center;
}
#authorizationPrompt #content {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 16px;
  background-color: white;
}
#authorizationPrompt #content p {
  text-align: center;
  font-size: 15px;
}
#authorizationPrompt #content p mark {
  font-family: "Courier Prime Bits Mono", "Courier New", Courier, mono;
  color: #2380d1;
  background-color: transparent;
}
#authorizationPrompt #content p:last-child {
  color: #cc4429;
  font-size: 13px;
  text-align: center;
}
#authorizationPrompt #content section {
  display: flex;
  margin: 18px 0;
}
#authorizationPrompt #content section input {
  width: 44px;
  height: 50px;
  padding: 17px 8px;
  border: none;
  outline: none;
  box-shadow: inset 0 0 0 1px #b3b3b3;
  border-radius: 6px;
  font: normal 16px/16px "Courier Prime Bits Mono", "Courier New", Courier, mono;
  text-align: center;
  -moz-appearance: textfield;
}
#authorizationPrompt #content section input::placeholder {
  color: rgba(0, 0, 0, 0.4);
}
#authorizationPrompt #content section input::-webkit-outer-spin-button, #authorizationPrompt #content section input::-webkit-inner-spin-button {
  display: none;
}
#authorizationPrompt #content section input:focus {
  box-shadow: inset 0 0 0 1px rgba(0, 102, 204, 0.3), inset 0 0 0 1px #b3b3b3, 0 0 0 3px rgba(0, 102, 204, 0.3);
}
#authorizationPrompt #content section input:not(:first-child) {
  margin-left: 12px;
}
#authorizationPrompt #content section.invalid input {
  box-shadow: inset 0 0 0 2px #cc4429;
}
#authorizationPrompt #content section.invalid input:focus {
  box-shadow: inset 0 0 0 2px #cc4429, 0 0 0 3px rgba(25, 140, 255, 0.3);
}

body {
  overflow: hidden;
}